Bug 101069 - evolution fails to create default contents (Severn beta)
Summary: evolution fails to create default contents (Severn beta)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: evolution   
(Show other bugs)
Version: beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-07-28 21:31 UTC by Elton Woo
Modified: 2007-04-18 16:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-06 18:50:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of loaded application (430.27 KB, image/png)
2003-07-28 21:33 UTC, Elton Woo
no flags Details
error dialog (144.79 KB, text/plain)
2003-07-28 22:35 UTC, Elton Woo
no flags Details

Description Elton Woo 2003-07-28 21:31:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Select evolution from menu and start program
(first time or subsequent invocation).
Error message pops up, and after a while the
application loads, but does not contain any of
its default contents.

Version-Release number of selected component (if applicable):
evolution-1.4.3-3

How reproducible:
Always

Steps to Reproduce:
1.start evolution from menu
2. close error message, and wait for
3. program to load
    

Actual Results:  program throws up this error message:

Cannot activate component OAFIID:GNOME_Evolution_Mail_ShellComponent :
The error from the activation system is:
Unknown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'

closing error dialog, the program contiunes to load, but
without it's default components (folders and other objects).


Expected Results:  program should load and create / show default
contents (folders, and other objects).

Additional info:

System: Athlon Thunderbird 1.0 Gb. Severn beta (RH 9.0.93)
kernel-2.4.21-20.1.2024.2.1.nptl
kernel-pcmcia-cs-3.1.31-13
kernel-utils-2.4-8.31
Video subsystem: 3D Labs (32 Mb) nVidia card
Viewsonic 17 monitor.

N.B. Nvidia drivers are NOT installed.

Comment 1 Elton Woo 2003-07-28 21:33:19 UTC
Created attachment 93203 [details]
screenshot of loaded application

Comment 2 Jeremy Katz 2003-07-28 21:44:15 UTC
Are you running in GNOME or KDE?  

Comment 3 Elton Woo 2003-07-28 22:03:34 UTC
The failure occurs in the Gnome desktop with Severn. Have not yet tried under KDE

Comment 4 Jeremy Katz 2003-07-28 22:08:49 UTC
Hmmm, and other GNOME apps start correctly?

Does anything odd show up in the terminal if you try to start evolution from there?

Comment 5 Elton Woo 2003-07-28 22:34:50 UTC
when started from a console prompt the same thing occurs. (See attachment). The
actual error pop-up is created as four instances stacked up on each other. The
console output is therefore:

$ evolution
 
(evolution:23620): evolution-shell-WARNING **: Could not start any startup wizard!
 
(evolution:23620): evolution-shell-CRITICAL **: file e-shell-startup-wizard.c:
line 781 (e_shell_startup_wizard_create): assertion `data->corba_wizard !=
CORBA_OBJECT_NIL' failed



Comment 6 Elton Woo 2003-07-28 22:35:33 UTC
Created attachment 93206 [details]
error dialog

Note the error dialog actually occurs *four* times, and has to be clicked that
many times for the splash screen to go away.

Comment 7 Jeremy Katz 2003-10-06 20:19:14 UTC
Do you still see this with test2?

Comment 8 Behdad Esfahbod 2003-11-05 13:59:23 UTC
I remember having the same problem with test2, but feel like it's gone
in test3.  Would someone verify?

Comment 9 Elton Woo 2003-11-06 18:43:20 UTC
This is fixed in Fedora Core Test 3, and (of course) in Fedora Core 1.
I respectfully submit that this bug be marked as closed.


Note You need to log in before you can comment on or make changes to this bug.